bl_info = {
    "name": "All Axis Cam Setup",
    "description": "Setup cameras for All Axis",
    "author": "Martin Piala",
    "version": (0, 1, 0),
    "blender": (4, 2, 0),
    "location": "Render > All Axis Render Camera",
    "warning": "",  # used for warning icon and text in addons panel
    "support": "COMMUNITY",
    "category": "Camera",
}

import os
import sys

# Add the parent directory to sys.path
addon_dir = os.path.dirname(__file__)
sys.path.append(addon_dir)

from all_axis_render_camera import main

# def reload_modules(package_dir, package_prefix):
#     import pkgutil
#     import importlib
#     for module_info in pkgutil.walk_packages([package_dir]):
#         module_name = f"{package_prefix}.{module_info.name}"
#         print("reloading", module_name)
#         if module_info.ispkg:
#             sub_package_dir = os.path.join(package_dir, module_info.name)
#             reload_modules(sub_package_dir, module_name)

#         module = importlib.import_module(module_name)
#         importlib.reload(module)


# importlib.reload(main)


# package = "all_axis_render_camera"
# package_dir = os.path.join(addon_dir, package)
# reload_modules(package_dir, package)


def register():
    main.register()


def unregister():
    main.unregister()
