import bpy
from typing import cast, TYPE_CHECKING

from .properties import SetupCamsAddonProperties

if TYPE_CHECKING:
    from bpy.types import Scene

    class SceneWithCamSetup(Scene):
        cam_setup: SetupCamsAddonProperties


def get_cam_setup(context: bpy.types.Context) -> SetupCamsAddonProperties:
    cam_setup = cast("SceneWithCamSetup", context.scene).cam_setup
    return cam_setup
